unit QuaGlchg_U;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons;

type
  TForm1 = class(TForm)
    Label1: TLabel;
    Label2: TLabel;
    GroupBox1: TGroupBox;
    Label3: TLabel;
    Edit1: TEdit;
    Label4: TLabel;
    Edit2: TEdit;
    GroupBox2: TGroupBox;
    Label7: TLabel;
    Label6: TLabel;
    Edit3: TEdit;
    Label8: TLabel;
    Edit4: TEdit;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    BitBtn3: TBitBtn;
    procedure BitBtn3Click(Sender: TObject);
    procedure BitBtn2Click(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;
  d: double;

implementation

{$R *.DFM}

procedure TForm1.BitBtn3Click(Sender: TObject);
begin
  Close;
end;

procedure TForm1.BitBtn2Click(Sender: TObject);
begin
  Edit1.Clear;
  Edit2.Clear;
  Edit3.Clear;
  Edit4.Clear;
  Label6.Visible := False;
  Label7.Visible := False;
  Label8.Visible := False;
  Edit3.Visible := False;
  Edit4.Visible := False;
  Edit1.SetFocus;
end;

procedure pruefe (p, q: double; var istloesbar: boolean);
begin
  d := sqr(p)/4 - q;
  if d >= 0 then istloesbar := true
    else istloesbar := false;
end;

procedure loesen (p: double; var loes1, loes2: double);
begin
  loes1 := -p/2 + sqrt(d);
  loes2 := -p/2 - sqrt(d);
end;


procedure TForm1.BitBtn1Click(Sender: TObject);
var p1, q1, x1, x2: double; loesbar: boolean;
begin
  p1 := StrToFloat(Edit1.Text);
  q1 := StrToFloat(Edit2.Text);
  pruefe(p1,q1,loesbar);
  if loesbar = false then begin
    Label7.Visible := True;
    Label7.Caption := 'Die Gleichung ist nicht lsbar!';
    Exit;
  end
  else begin
    loesen(p1,x1,x2);
    Label6.Visible := True;
    Label8.Visible := True;
    Edit3.Visible := True;
    Edit4.Visible := True;
    Edit3.Text := FloatToStrF(x1, ffFixed,6, 2);
    Edit4.Text := FloatToStrF(x2, ffFixed,6, 2);
  end;
end;

end.
